<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Лидеры дня';
include_once 'sys/inc/thead.php';
title();


if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));










only_reg();



/*
if ($set['set_show_icon']==1){
}
elseif ($set['set_show_icon']==1)
echo "  </td>\n";
{

if(is_file("sys/avatar/$ank[id].gif")){

}else if(is_file("sys/avatar/$ank[id].jpg")){

}else if(is_file("sys/avatar/$ank[id].png")){
}else{
aut();

echo' Вы не можете участвовать в Лидере сайта пока не установите Аватор <a href="/avatar.php">установить</a></div>';
include_once 'sys/inc/tfoot.php';
exit();}
}
*/


if (isset($user) & $user['balls']<=300)
{
echo '<div class="dop_menu">';
if ($user['pol']==0){echo "Извини, красавица, ";} else {echo "Извини, друг, ";}
echo "но ты не можешь участвовать пока не наберешь <b>300</b> баллов<br/>У тебя <b>$user[balls]</b> баллов!";
echo '</div>';
include_once 'sys/inc/tfoot.php';
exit();

}





if (isset($_POST['save'])){




mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-300)."' WHERE `id` = '$user[id]' LIMIT 1");


$user['ankbest']=$_POST['ankbest'];
mysql_query("UPDATE `user` SET `ankbest` = '".my_esc($user['ankbest'])."' WHERE `id` = '$user[id]' LIMIT 1");



if (isset($_POST['best']) && preg_match('#^([A-zА-я0-9 \-\,.]*)$#ui', $_POST['best']))
{
$user['best']=$_POST['best'];
mysql_query("UPDATE `user` SET `best` = '".intval($user['best'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный анкеты';





if (!isset($err))msg('Вы успешно активировали лидера дня');

}
err();
aut();

echo "<form method='post' action='?$passgen'>\n";

echo "Активировать <font color='gray'>(цена - 300 б.)</font>:<br /><select name='best'><option value='2'>Участвовать</option><option value='1'>Не участвовать</option></select><br />\n";

echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";

echo '
<div class="pa"><b>Описание:</b> Услуга "Лидер дня" позволяет разместить и показывать вашу анкету (по очереди с другими лидерами) на главной странице сайта. Активируйте услугу и вас обязательно заметят! 
</div><div class="faz">
Обращаем ваше внимание. Мы оставляем за собой право приостановить действие услуги, в случае размещения в вашей анкете (или фото, видео) оскорблений, мата, рекламы, ссылок на другие сайты. 
</div>';

include_once 'sys/inc/tfoot.php';
?>